# Generated by superflore -- DO NOT EDIT
#
# Copyright Open Source Robotics Foundation

inherit ros_distro_melodic
inherit ros_superflore_generated

DESCRIPTION = "<p>An <a href="http://www.openrtm.org/pub/OpenRTM-aist/">OpenRTM-aist</a>-based robot controller. This package is the most tailored for humanoid (dual-arm and/or biped) robots for historical reason.</p>    <p>hrpsys package does not only wraps but build and installs the code from its mainstream repository (<a href="https://github.com/fkanehiro/hrpsys-base/">github.com/fkanehiro/hrpsys-base</a>).</p>    <p>The package version number is synchronized to that of mainstream, based on <a href="https://github.com/start-jsk/rtmros_common/issues/165#issuecomment-34536168">this decision</a>. Its semantics:<br/>     <ul>      <li><b>MAJOR</b>: Synchronized with <a href="http://wiki.ros.org/openhrp3">OpenHRP3</a></li>      <li><b>MINOR</b>: Indicate IDL compatibility (packages with different version numbers in this section are NOT compatible)</li>      <li><b>PATCH</b>: Packages with different version numbers in this section ARE compatible.</li>     </ul>    </p>    <p>API document is <a href="http://fkanehiro.github.io/hrpsys-base/">auto-generated on github</a>.    </p>"
AUTHOR = "Kei Okada <k-okada@jsk.t.u-tokyo.ac.jp>"
ROS_AUTHOR = "AIST"
HOMEPAGE = "http://ros.org/wiki/hrpsys"
SECTION = "devel"
LICENSE = "EPL"
LIC_FILES_CHKSUM = "file://package.xml;beginline=18;endline=18;md5=b1456987590b6d6fb15d36f398651b8b"

ROS_CN = "hrpsys"
ROS_BPN = "hrpsys"

ROS_BUILD_DEPENDS = " \
    ${PYTHON_PN}-tkinter \
    ${ROS_UNRESOLVED_DEP-libirrlicht-dev} \
    doxygen \
    freeglut \
    git \
    glew \
    graphviz \
    libsdl \
    libxml2 \
    libxmu \
    mk \
    opencv \
    openhrp3 \
    qhull \
"

ROS_BUILDTOOL_DEPENDS = " \
    cmake-native \
    pkgconfig-native \
"

ROS_EXPORT_DEPENDS = " \
    ${PYTHON_PN}-tkinter \
    ${ROS_UNRESOLVED_DEP-libirrlicht-dev} \
    freeglut \
    libsdl \
    libxml2 \
    libxmu \
    opencv \
    openhrp3 \
    qhull \
"

ROS_BUILDTOOL_EXPORT_DEPENDS = ""

ROS_EXEC_DEPENDS = " \
    ${PYTHON_PN}-tkinter \
    ${ROS_UNRESOLVED_DEP-libirrlicht-dev} \
    freeglut \
    libsdl \
    libxml2 \
    libxmu \
    opencv \
    openhrp3 \
    qhull \
"

# Currently informational only -- see http://www.ros.org/reps/rep-0149.html#dependency-tags.
ROS_TEST_DEPENDS = ""

DEPENDS = "${ROS_BUILD_DEPENDS} ${ROS_BUILDTOOL_DEPENDS}"
# Bitbake doesn't support the "export" concept, so build them as if we needed them to build this package (even though we actually
# don't) so that they're guaranteed to have been staged should this package appear in another's DEPENDS.
DEPENDS += "${ROS_EXPORT_DEPENDS} ${ROS_BUILDTOOL_EXPORT_DEPENDS}"

RDEPENDS:${PN} += "${ROS_EXEC_DEPENDS}"

# matches with: https://github.com/tork-a/hrpsys-release/archive/release/melodic/hrpsys/315.15.0-8.tar.gz
ROS_BRANCH ?= "branch=release/melodic/hrpsys"
SRC_URI = "git://github.com/tork-a/hrpsys-release;${ROS_BRANCH};protocol=https"
SRCREV = "e4d53b922e51834b9d5108365e381ba87097bc14"
S = "${WORKDIR}/git"

ROS_BUILD_TYPE = "cmake"

inherit ros_${ROS_BUILD_TYPE}
